Name:           fbg
Version:        0.9
Release:        3%{?dist}
Summary:        Falling Block Game
Group:          Amusements/Games
License:        GPL
URL:            http://fbg.sourceforge.net/
Source0:        http://dl.sf.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Patch0:         fbg-fixes.patch
Patch1:         fbg-0.9-wx28.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL-devel physfs-devel mikmod-devel wxGTK-devel
BuildRequires:  desktop-file-utils ImageMagick
Requires:       hicolor-icon-theme

%description
Move and rotate variously shaped falling blocks to make them form a complete
row. Once a complete row has formed it will disappear. If you make incomplete
rows the screen will fill up and when it reaches the top the game is over.


%prep
%setup -q
%patch0 -p1 -z .fix
%patch1 -p1 -z .wx28
# sigh stop autoxxx from rerunning because of our patches above.
touch aclocal.m4
touch configure
touch `find -name Makefile.in`


%build
%configure
make %{?_smp_mflags}
convert startfbg/icon.xpm %{name}.png


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# rm make install installed docs as we install them with %doc
rm $RPM_BUILD_ROOT/usr/doc/fbg/COPYING $RPM_BUILD_ROOT/usr/doc/fbg/README

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora                       \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -p -m 644 %{name}.png \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/%{name}*
%{_datadir}/%{name}
%{_mandir}/man6/%{name}*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Mon Dec 18 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9-3
- Rebuild for new wxGTK

* Sat Oct 14 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9-2
- Correct license from LGPL to GPL

* Fri Oct 13 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 0.9-1
- Initial Fedora Extras package
